Announcement Announcement Module
Collapse
No announcement yet.
Spring IDE 1.1.1 released Page Title Module
Move Remove Collapse
This topic is closed
X
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Spring IDE 1.1.1 released

    Dear Spring Community,

    we are pleased to announce that Spring IDE v1.1.1 has been released.

    Changes (including all changes from the not officially released v1.1.0):
    • spring-core.jar (updated to v1.1.5) now included in core
    • beans model now supports inner beans, constructor arguments and bean classes
    • refactored beans model to provide a public API
    • removed dependency to SAX API in public methods
    • beans project validator now checks constructor arguments and import tags too
    • config files are re-validated automatically if source code of corresponding bean classes has been modified
    • added support for incomplete config sets (are not validated regarding parent beans and bean references)
    • beans project model refactored into core plugin
    • beans view now supports constructor arguments too
    • updated images to Eclipse 3.0 L&F
    • added support for the bean attributes 'lazy-init' and 'abstract'
    • new overlay indicators in the right upper corner for abstract beans ('A') and root beans without class + parent name ('C')
    • Java sources and classes which are used as Spring beans are decorated in resource navigator and JDT's package explorer in the same way as Spring projects
    • new action set and commands with keybindings for the editor context menu actions
    • error dialog is shown for graphs with cyclic dependencies
    • graph can be created from a single bean selected in the Beans view too
    • graph editor's title displays a short description of the graph, the full description is displayed in the editor's tooltip
    • graph is surrounded by a margin of 10 pixels
    • bean constructor arguments are shown in the graph too
    • references to other beans are recognized in constructor arguments and inner beans too
    More details are available from the project's new site http://springide.org/

    This release is available from the project's Eclipse update site http://springide.org/updatesite/

    For bug reports tickets can be opened via http://springide.org/project/newticket

    Cheers,
    Torsten

  • #2
    Torsten

    Glad to see some real progress here. The new site looks good.

    Rgds
    Rod

    Comment


    • #3
      Where to get it as of June 16, 2006?

      Greetings,

      I got to know that the latest Spring IDE version that can work with WSAD 5.1.1 is version 1.1.1, but I can't find it @ http://springide.org/updatesite. I've also tried http://springide.org/updatesite_old but got Error 404 (not found).

      Can the guys at SpringIDE repost version 1.1.1? Would greatly appreciate it. Thanks.

      Comment


      • #4
        Hi,

        I've put the updatesite with the old versions back online. You can get the versions 1.1.x from http://springide.org/updatesite_old.

        Cheers
        Christian

        Comment


        • #5
          So is it 1.1.1 or 1.3.1?

          http://forum.springframework.org/showthread.php?t=25739

          Comment


          • #6
            I would say 1.3.1, as the original 1.1.1 announcement posting in this thread is about a year old.

            Regards,
            Andreas

            Comment


            • #7
              Originally posted by Andreas Senft
              I would say 1.3.1, as the original 1.1.1 announcement posting in this thread is about a year old.
              exec2020 is looking for an old version (1.1.1) to work with WSAD. So we are talking about that version in this thread.

              The latest and greatest version of Spring IDE is 1.3.2 which is available from our regular update site at http://springide.org/updatesite.

              Cheers
              Christian

              Comment


              • #8
                Originally posted by cdupuis
                exec2020 is looking for an old version (1.1.1) to work with WSAD. So we are talking about that version in this thread.
                Yes. But Randy seemed to refer to the original announcement by Torsten and compared it to a newer announcement. But maybe I misinterpreted things.

                Originally posted by cdupuis
                The latest and greatest version of Spring IDE is 1.3.2 which is available from our regular update site at http://springide.org/updatesite.
                I hope not the greatest, as I expect more releases to come (which surely will be even greater)

                Keep up the good work,
                Andreas

                Comment

                Working...
                X